'''
@AUTHORID
'''

import torch
from CBO.utils.torch_utils import ModuleX
from CBO.bayesian_models.features import PolynomialFeatures

class ZeroMean(ModuleX):
    def __init__(self):
        super().__init__()

    def forward(self, X):
        return torch.zeros(len(X), dtype=X.dtype)